# Method: persistentResources.patch

**Full name**: projects.locations.persistentResources.patch

Updates a PersistentResource.

### Endpoint

patch `https://{service-endpoint}/v1beta1/{persistentResource.name}`   
`PATCH https://{service-endpoint}/v1beta1/{persistentResource.name}`

Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`persistentResource.name` `string` Immutable. Resource name of a PersistentResource.

### Query parameters

`updateMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Specify the fields to be overwritten in the PersistentResource by the update method.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.persistentResources#PersistentResource`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/Shared.Types/ListOperationsResponse#Operation`.